curl --request GET \
--url https://pullrule.com/api/2025-04/members/{member}/pull-requests \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"external_id": "<string>",
"number": 123,
"url": "<string>",
"state": "closed",
"title": "<string>",
"body": "<string>",
"additions": 123,
"deletions": 123,
"commits": 123,
"changed_files": 123,
"score": 123,
"score_breakdown": [
{
"name": "<string>",
"action": "ADD",
"effect": 123,
"expression": "<string>"
}
],
"created_at": 123,
"links": {
"member": "<string>"
}
}
],
"meta": {
"path": "<string>",
"per_page": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Returns a list of the pull requests for a specific member. The pull requests are returned sorted by creation date, with the most recent pull request appearing first.
curl --request GET \
--url https://pullrule.com/api/2025-04/members/{member}/pull-requests \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"external_id": "<string>",
"number": 123,
"url": "<string>",
"state": "closed",
"title": "<string>",
"body": "<string>",
"additions": 123,
"deletions": 123,
"commits": 123,
"changed_files": 123,
"score": 123,
"score_breakdown": [
{
"name": "<string>",
"action": "ADD",
"effect": 123,
"expression": "<string>"
}
],
"created_at": 123,
"links": {
"member": "<string>"
}
}
],
"meta": {
"path": "<string>",
"per_page": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the member.